QGIS Application - Bug report #2082
Map Composer: Legend not loading from template
2009-11-12 12:02 PM - mesajs -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupts data: Copied to github as #: 12142
Description

Vector legend not correctly restored when loading from template.

To reproduce:

1. Create map with usual elements (map, scalebar, vector legend).
2. Heavily customise the legend (rename, reorder and delete items)
3. Save as template.

4. Load saved template.

Result:
The legend that appears is not the customised legend. It is a new, uncustomesed legend (same as "Add new vect legend") except that the
customised font is retained.

History

#1 - 2009-12-08 09:54 AM - Giovanni Manghi

Confirmed in trunk on both linux and windows.

#2 - 2009-12-12 06:38 AM - Marco Hugentobler
- Resolution set to wontfix

- Status changed from Open to Closed

The legend template is only for the project / layer independent settings. Legend modifications are related to one particular layer whereas templates are

generic and can be applied to different projects (e.g. the position of map widget, scale bar position / styles or the position of the legend, pictures).

If you want to save/restore legend modifications, saving the whole project might be an option.
